[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# UnicodeIsSurrogatePair

Check if a pair of UTF16 encoded characters is a valid surrogate pair.

## Declaration

Source position: unicodedata.pas line 476

`function UnicodeIsSurrogatePair(`
`const AHighSurrogate: UnicodeChar;`
`const ALowSurrogate: UnicodeChar`
`):Boolean;`

## Arguments

`AHighSurrogate` |  | High character in the surrogate pair
`ALowSurrogate` |  | Low character in the surrogate pair

## Function result

True if AHighSurrogate,ALowSurrogate are a valid surrogate pair

## Description

UnicodeIsSurrogatePair checks whether AHighSurrogate,ALowSurrogate constitute a valid surrogate pair, and returns True if this is the case. It does this by checking whether the values are within the bounds for high and low surrogate pairs.

## See also

FromUCS4 |  | Convert UCS4 to UNicodeChar
ToUCS4 |  | Encode unicode UTF16 surrogate pair to UCS4 character
UnicodeIsHighSurrogate |  | Check if a UTF16 character is the high character in a surrogate pair.
UnicodeIsLowSurrogate |  | Check if a UTF16 character is the low character in a surrogate pair.